package com.hzya.frame.sysnew.warningInterface.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 预警接口表(SysWarningInterface)实体类
 *
 * @author makejava
 * @since 2024-09-03 10:06:19
 */
public class SysWarningInterfaceEntity extends BaseEntity {

    /**  应用id */
    private String appId;
    /**  应用名称 */
    private String appName;
  /**  公司id */
   private String companyId;
  /**  api名称 */
   private String apiName;
  /**  api编码 */
   private Long apiCode;
  /**  推送方式（1：推送一次、2：定时） */
   private String pushMethod;
  /**  状态（0：停用、1：启用） */
   private String status;
  /**  主表id（预警配置表id） */
   private String warningConfigId;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public Long getApiCode() {
        return apiCode;
    }

    public void setApiCode(Long apiCode) {
        this.apiCode = apiCode;
    }

    public String getPushMethod() {
        return pushMethod;
    }

    public void setPushMethod(String pushMethod) {
        this.pushMethod = pushMethod;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getWarningConfigId() {
        return warningConfigId;
    }

    public void setWarningConfigId(String warningConfigId) {
        this.warningConfigId = warningConfigId;
    }

}

